Skip to content
IForevents Docs
IForevents Docs
HomeDashboardGitHubPrivacyTermsSecurityIntroduction
Support and SLA

Export events as CSV

GET
/v1/analytics/export/events

Authorization

AuthorizationBearer <token>

Session token issued by the accounts service (or the legacy /v1/auth routes).

In: header

Query Parameters

start?string

Range start (RFC 3339); defaults to 30 days ago.

Formatdate-time
end?string

Range end (RFC 3339); defaults to now.

Formatdate-time
limit?integer
Range1 <= value <= 1000
Default100

Response Body

text/csv

application/json

application/json

curl -X GET "https://example.com/v1/analytics/export/events"
"uuid,user_uuid,event,type,created_at,properties\ne1f2…,6f1c…,checkout_completed,track,2026-09-13T12:30:45Z,currency=USD;order_id=ord_456\n"